package compositeRefactoring;

import org.eclipse.ui.plugin.*;
import org.eclipse.core.runtime.*;
import org.eclipse.core.resources.*;
import java.util.*;

//for doxygen:
/*\mainpage COMPOSITE REFACTORINGS
 * \section howto A small Howto for using composite refactorings
 * howthowto and so on
 * \section nextSection This is the next section
 * \subsection part1 Part 1
 * \subsection part2 Part 2
 */
/** This is the plugin class of the package. It handles resource bundle requests and
 * holds the object for access to the workspace. Thus, via this class, the UI of the 
 * Plugin can be initialized, configured and updated.
 * This class is just used by internal Eclipse requests, it
 * is not used by any of the package's or subpackage's classes.
 */

public class CompositeRefactoringPlugin extends AbstractUIPlugin {
//The shared instance.
	private static CompositeRefactoringPlugin plugin;
	//Resource bundle.
	private ResourceBundle resourceBundle;
	
	/**
	 * The constructor.
	 */
	public CompositeRefactoringPlugin(IPluginDescriptor descriptor) {
		super(descriptor);
		plugin = this;
		try {
			resourceBundle= ResourceBundle.getBundle("compositeRefactoring.compositeRefactoringResources");
		} catch (MissingResourceException x) {
			resourceBundle = null;
		}

	}

	/**
	 * Returns the shared instance.
	 */
	public static CompositeRefactoringPlugin getDefault() {
		return plugin;
	}

	/**
	 * Returns the workspace instance.
	 */
	public static IWorkspace getWorkspace() {
		return ResourcesPlugin.getWorkspace();
	}

	/**
	 * Returns the string from the plugin's resource bundle,
	 * or 'key' if not found.
	 */
	public static String getResourceString(String key) {
		ResourceBundle bundle= CompositeRefactoringPlugin.getDefault().getResourceBundle();
		try {
			return bundle.getString(key);
		} catch (MissingResourceException e) {
			return key;
		}
	}

	/**
	 * Returns the plugin's resource bundle,
	 */
	public ResourceBundle getResourceBundle() {
		return resourceBundle;
	}
}
