package compositeRefactoring.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

import compositeRefactoring.RefactoringComponentFactory;
import compositeRefactoring.refactoringComposite.*;

/** a testclass for the RefactoringComponent framework. If an action is sent, a RefactoringComponent 
 * is created which works on a prject called "Cars".
 */
public class RefactorAction implements IWorkbenchWindowActionDelegate {
	private IWorkbenchWindow window;
	
	/** is left empty.
	 */
	public void dispose() {
	}
	
	/** is left empty
	 */
	public void init(IWorkbenchWindow window) {
		this.window = window;
	}
	
	/** runs the action. This is just a testclass where an example is tested.
	 * This example works on resources of a "Cars" project.
	 * @param action a representation of the action
	 */
	public void run(IAction action) {
		RefactoringComponentFactory.example_Iterator_Strategy();
		//DEBUG:
		System.out.println("REFACTORACTION: Composite Refactoring built");
		RefactoringComponent comp = RefactoringComponentFactory.getRefactoringComponent();
		comp.refactor();
	}

	/** is left empty
	 */
	public void selectionChanged(IAction action, ISelection selection) {
	}

}
