package compositeRefactoring.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

import compositeRefactoring.RefactoringComponentFactory;
import compositeRefactoring.refactoringComposite.*;

/** a testclass for the RefactoringComponent framework. If an action is sent, a RefactoringComponent 
 * is fetched from the RefactoringComponentFactory (it is assumed that a refactoraction on a project called 
 * "Cars" has been executed. This RefactoringComponent is undone by this class.
 */
public class UndoAction implements IWorkbenchWindowActionDelegate {
	
	/** is left empty
	 */
	public void dispose() {
	}
	
	/** is left empty
	 * @param window the WorkbenchWindow.
	 */
	public void init(IWorkbenchWindow window) {
	}
	
	/** runs the action.
	 * @param action the representation of the action
	 */
	public void run(IAction action) {
		RefactoringComponent comp = RefactoringComponentFactory.getRefactoringComponent();
		if (comp == null) {
			//DEBUG:
			System.out.println("UNDOACTION: There is no RefactoringComponent Object!! Nothing to undo.");
			return;
		}
		comp.undo();
	}

	/** is left empty
	 * @param action the representation of the action
	 * @param selection the selected elements.
	 */
	public void selectionChanged(IAction action, ISelection selection) {
	}

}
