package compositeRefactoring.codemanipulation;

import org.eclipse.jdt.core.ICompilationUnit;
import org.eclipse.jdt.core.JavaModelException;
import org.eclipse.jdt.internal.core.CreateImportOperation;

/** This is a convenience class to make the CreateImportOperation public.
 * The class creates an importdeclaration (like <code>import java.lang.util.Vector;</code>. 
 */
public class CreateImport extends CreateImportOperation {
	
	/** creates an object of CreateImport
	 * @param importName the name of the import (like <code>java.lang.util.Vector</code>)
	 * @param cu the compilation unit in which the import is to be created.
	 */
	public CreateImport(String importName, ICompilationUnit cu) {
		super(importName, cu);
	}
	
	/** creates the compilation unit.
	 */
	public void executeOperation() {
		try {
			super.executeOperation();
		}
		catch(JavaModelException jme) {
			System.out.println(jme.getMessage());
			jme.printStackTrace();
		}
	}

}
