package compositeRefactoring.codemanipulation;

import org.eclipse.jdt.core.ICompilationUnit;
import org.eclipse.jdt.core.JavaModelException;
import org.eclipse.jdt.internal.core.CreatePackageDeclarationOperation;

/** This is a convenience class to make the CreatePackageDeclarationOperation public.
 * The class creates a package declaration (like <code>package java.lang.util;</code>. 
 */
public class CreatePackageDeclaration	extends CreatePackageDeclarationOperation {
	
	/** creates an object of CreatePackageDeclaration
	 * @param name the name of the declaration (like <code>java.lang.util</code>)
	 * @param cu the compilation unit in which the declaration is to be created.
	 */
	public CreatePackageDeclaration(String name, ICompilationUnit cu) {
		super(name, cu);
	}
	
	/** creates the compilation unit.
	 */
	public void executeOperation() {
		try {
			super.executeOperation();
		}
		catch(JavaModelException jme) {
			System.out.println(jme.getMessage());
			jme.printStackTrace();
		}
	}

}
