package compositeRefactoring.codemanipulation;

import org.eclipse.jdt.core.IJavaElement;
import org.eclipse.jdt.core.JavaModelException;
import org.eclipse.jdt.internal.core.DeleteResourceElementsOperation;

/** This is a convenience class to make the DeleteResourceElementsOperation public.
 * The class deletes a compilation unit.
 */
public class DeleteCompilationUnit extends DeleteResourceElementsOperation {
	
	//fElementsToProcess and fForce are inherited fields!
	
	/** creates a DeleteCompilationUnit object.
	 * @param elementsToProcess the compilation units which are to be deleted
	 * @param force indicates whether the hostory shall be dismissed.
	 */
	public DeleteCompilationUnit(IJavaElement[] elementsToProcess, boolean force) {
		super(elementsToProcess, force);
		fElementsToProcess = elementsToProcess;
		fForce = force;
	}
	/** deletes the element. Before deletion it is verified if 
	 * the element is deletable.
	 * @param element the element to delete.
	 */
	protected void processElement(IJavaElement element) {
		try {
			super.verify(element);
			super.processElement(element);
		}
		catch(JavaModelException jme) {
			System.out.println(jme.getMessage());
			jme.printStackTrace();
		}
	}
	/** deletes all elements with which the constructor was initialized.
	 */
	public void doDelete() {
		for (int i = 0; i < fElementsToProcess.length; i++) {
			processElement(fElementsToProcess[i]);
		}
	}
}
