package compositeRefactoring.codemanipulation;

import org.eclipse.core.runtime.NullProgressMonitor;
import org.eclipse.jdt.core.ICodeFormatter;
import org.eclipse.jdt.core.ICompilationUnit;
import org.eclipse.jdt.core.JavaModelException;
import org.eclipse.jdt.core.ToolFactory;

/** This class is a convenience class for formatting compilation units.
 */
public class FormatCode {
	private static ICodeFormatter formatter;
	
	/** formats a compilation unit.
	 * @param cu the compilation unit to be formatted.
	 */
	public static void formatCode(ICompilationUnit cu) {
		if (formatter == null) formatter = ToolFactory.createCodeFormatter();
		String originalSource = null;
		try {
			originalSource = cu.getSource();
			//DEBUG:
			System.out.println("FORMATCODE: orig. source: " + originalSource);
		}
		catch(JavaModelException jme) {
			jme.printStackTrace();
		}
		String formattedSource = formatter.format(originalSource, 0, null, null);
		//DEBUG:
		System.out.println("FORMATCODE: changed source: " + formattedSource);
		try {
			cu.getBuffer().setContents(formattedSource);
			cu.save(new NullProgressMonitor(), false);
		}
		catch(JavaModelException jme) {
			jme.printStackTrace();
		}
	}	

}
